Loading...
Searching...
No Matches
reverse.hpp File Reference

## Functions

template<typename I , typename S > requires bidirectional_iterator<I> && sentinel_for<S, I> && permutable<I>
constexpr I | ranges::reverse (I first, S end_)
| function template `reverse`
template<typename Rng , typename I = iterator_t<Rng>> requires bidirectional_range<Rng> && permutable<I>
constexpr borrowed_iterator_t< Rng > | ranges::reverse (Rng &&rng)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.